%global pypi_name django-pipeline

%define version 1.3.15
%define python3 1

Name:           python-%{pypi_name}
Version:        %{version}
Release:        %mkrel 3
Group:          Development/Python
Summary:        Pipeline is an asset packaging library for Django

License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/r/%{pypi_name}/%{pypi_name}-%version.tar.gz
Patch0:         django-pipeline-1.3.15-fix-python3-build.patch
Patch1:         django-pipeline-1.3.15-fix-python3-requires.patch
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools

%description
Pipeline is an asset packaging library for Django

%if %python3
%package -n python3-%{pypi_name}
Summary:        Pipeline is an asset packaging library for Django
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
Pipeline is an asset packaging library for Django
%endif

%prep
%setup -q -n %{pypi_name}-%{version}

%if %python3
cp -a . %{py3dir}
cd %{py3dir}
%patch0 -p1
%patch1 -p1
%endif
%build
%{__python} setup.py build

%if %python3
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if %python3
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%{python_sitelib}/django_pipeline*
%{python_sitelib}/pipeline

%if %python3
%files -n python3-%{pypi_name}
%{python3_sitelib}/django_pipeline*
%{python3_sitelib}/pipeline
%endif


%changelog
* Wed Oct 30 2013 neoclust <neoclust> 1.3.15-3.mga4
+ Revision: 548032
- Fix Python rpm deps

* Tue Oct 22 2013 umeabot <umeabot> 1.3.15-2.mga4
+ Revision: 546197
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 neoclust <neoclust> 1.3.15-1.mga4
+ Revision: 502259
- Fix build with python3
- imported package python-django-pipeline

